import { fetch } from '@/utils'

// 项目保证金台账 ----------------------------start

export function queryTenderMargin(data) {
  return fetch({
    url: '/epapi/report/queryTenderMargin',
    method: 'POST',
    toast: false,
    data
  })
}

export function tenderMarginExport(data) {
  return fetch({
    url: '/epapi/report/tenderMarginExport',
    method: 'POST',
    toast: false,
    data
  })
}

// 项目保证金台账 ----------------------------end

// 供应商台账 ----------------------------start

export function querySupplierLedger(data) {
  return fetch({
    url: '/epapi/report/querySupplierLedger',
    method: 'POST',
    toast: false,
    data
  })
}

export function supplierLedgerExport(data) {
  return fetch({
    url: '/epapi/report/supplierLedgerExport',
    method: 'POST',
    toast: false,
    data
  })
}

// 供应商台账 ----------------------------end

// 项目台账 ----------------------------start

export function queryProjectParameter(data) {
  return fetch({
    url: '/epapi/report/queryProjectParameter',
    method: 'POST',
    toast: false,
    data
  })
}

export function projectParameterExport(data) {
  return fetch({
    url: '/epapi/report/projectParameterExport',
    method: 'POST',
    toast: false,
    data
  })
}

// 项目台账 ----------------------------end

// 订单付款明细 ----------------------------start

export function queryOrderPayment(data) {
  return fetch({
    url: '/epapi/report/queryOrderPayment',
    method: 'POST',
    toast: false,
    data
  })
}

export function orderPaymentExport(data) {
  return fetch({
    url: '/epapi/report/orderPaymentExport',
    method: 'POST',
    toast: false,
    data
  })
}

// 订单付款明细 ----------------------------end

// 采购需求执行情况 ----------------------------start

export function queryRequirementExecute(data) {
  return fetch({
    url: '/epapi/report/queryRequirementExecute',
    method: 'POST',
    toast: false,
    data
  })
}

export function requirementExecuteExport(data) {
  return fetch({
    url: '/epapi/report/requirementExecuteExport',
    method: 'POST',
    toast: false,
    data
  })
}

// 采购需求执行情况 ----------------------------end

// 采购发起招标统计 ----------------------------start

export function queryTenderSubmitContract(data) {
  return fetch({
    url: '/epapi/report/queryTenderSubmitContract',
    method: 'POST',
    toast: false,
    data
  })
}

export function tenderSubmitContractExport(data) {
  return fetch({
    url: '/epapi/report/tenderSubmitContractExport',
    method: 'POST',
    toast: false,
    data
  })
}

// 采购发起招标统计 ----------------------------end

// 部门&项目汇总表 ----------------------------start

export function queryDeptProject(data) {
  return fetch({
    url: '/epapi/report/queryDeptProject',
    method: 'POST',
    toast: false,
    data
  })
}

export function deptProjectExport(data) {
  return fetch({
    url: '/epapi/report/deptProjectExport',
    method: 'POST',
    toast: false,
    data
  })
}

// 部门&项目汇总表 ----------------------------end

// 部门&项目明细表 ----------------------------start

export function queryDeptProjectDetail(data) {
  return fetch({
    url: '/epapi/report/queryDeptProjectDetail',
    method: 'POST',
    toast: false,
    data
  })
}

export function deptProjectDetailExport(data) {
  return fetch({
    url: '/epapi/report/deptProjectDetailExport',
    method: 'POST',
    toast: false,
    data
  })
}

// 部门&项目明细表 ----------------------------end
